Create a new User
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
authEmail: 'jsmith@example.com',
otp: '<string>',
marketingCampaign: '<string>',
partnerId: '<string>'
})
};
fetch('https://api.gnosispay.com/api/v1/auth/signup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.gnosispay.com/api/v1/auth/signup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"authEmail": "jsmith@example.com",
"otp": "<string>",
"marketingCampaign": "<string>",
"partnerId": "<string>"
}
'import requests
url = "https://api.gnosispay.com/api/v1/auth/signup"
payload = {
"authEmail": "jsmith@example.com",
"otp": "<string>",
"marketingCampaign": "<string>",
"partnerId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/auth/signup"
payload := strings.NewReader("{\n \"authEmail\": \"jsmith@example.com\",\n \"otp\": \"<string>\",\n \"marketingCampaign\": \"<string>\",\n \"partnerId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gnosispay.com/api/v1/auth/signup")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"authEmail\": \"jsmith@example.com\",\n \"otp\": \"<string>\",\n \"marketingCampaign\": \"<string>\",\n \"partnerId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/auth/signup")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"authEmail\": \"jsmith@example.com\",\n \"otp\": \"<string>\",\n \"marketingCampaign\": \"<string>\",\n \"partnerId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"token": "<string>",
"hasSignedUp": true
}{
"error": "Invalid partner ID"
}{
"error": "Invalid or expired OTP"
}{
"error": "Email address already registered or Wallet address already associated with another account"
}{
"error": "Invalid email format"
}{
"error": "An unexpected error occurred"
}Authentication
Create a new User
This endpoint creates a new User associating it with the provided email address.
POST
/
api
/
v1
/
auth
/
signup
Create a new User
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
authEmail: 'jsmith@example.com',
otp: '<string>',
marketingCampaign: '<string>',
partnerId: '<string>'
})
};
fetch('https://api.gnosispay.com/api/v1/auth/signup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.gnosispay.com/api/v1/auth/signup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"authEmail": "jsmith@example.com",
"otp": "<string>",
"marketingCampaign": "<string>",
"partnerId": "<string>"
}
'import requests
url = "https://api.gnosispay.com/api/v1/auth/signup"
payload = {
"authEmail": "jsmith@example.com",
"otp": "<string>",
"marketingCampaign": "<string>",
"partnerId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/auth/signup"
payload := strings.NewReader("{\n \"authEmail\": \"jsmith@example.com\",\n \"otp\": \"<string>\",\n \"marketingCampaign\": \"<string>\",\n \"partnerId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gnosispay.com/api/v1/auth/signup")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"authEmail\": \"jsmith@example.com\",\n \"otp\": \"<string>\",\n \"marketingCampaign\": \"<string>\",\n \"partnerId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/auth/signup")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"authEmail\": \"jsmith@example.com\",\n \"otp\": \"<string>\",\n \"marketingCampaign\": \"<string>\",\n \"partnerId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"token": "<string>",
"hasSignedUp": true
}{
"error": "Invalid partner ID"
}{
"error": "Invalid or expired OTP"
}{
"error": "Email address already registered or Wallet address already associated with another account"
}{
"error": "Invalid email format"
}{
"error": "An unexpected error occurred"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I